------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------
-- 短暂的甜蜜副本
--/callluafunc </F>User_PlayPlot</N>292
--/reloadlua Script/QiXi/2022/QiXiMemory1.lua
--/chgmap 11845 105 90
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(84,38)
CppScriptMgr:NpcCallOut("Siren is a guide of the underworld. She`s got a beautiful voice, but she uses it to seduce humans, and then destroy them.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Eurydice, Orphee`s beautiful wife, loves music. Siren attracted her with the beautiful voice, and took her to the underworld.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Since then, Orphee and Siren have become enemies.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:AddSimplePlayer(1055786,85,41,"[God of Sun`s Child] \n    Orphee",0,0)
local Player_2=CppScriptMgr:AddSimplePlayer(1062496,85,37,"[Orphee`s Beloved]\n    Eurydice",0,0)
Player_1:SetZoomPercent(170)
Player_2:SetZoomPercent(150)
local Player_3=CppScriptMgr:QueryHero()
Player_3:SetDir(2)
Player_3:SetPos(91,39)
Player_3:SetZoomPercent(150)
local player_Name_1=Player_3:GetName()
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(190)
CppScriptMgr:WaitMilSec(1000)
Player_3:Say("Orphee! Eurydice! I`m so happy to see you two together!",2000)
CppScriptMgr:NpcCallOut("Orphee! Eurydice! I`m so happy to see you two together!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(102)
Player_2:Say("If it weren`t for you, I`m afraid I could never see Orphee again.",2000)
CppScriptMgr:NpcCallOut("If it weren`t for you, I`m afraid I could never see Orphee again.",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(103)
Player_1:Say("Yes, thank you for saving my wife!",2000)
CppScriptMgr:NpcCallOut("Yes, thank you for saving my wife!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_3:SetDir(2)
CppScriptMgr:WaitMilSec(1000)
Player_3:SetAction(101)
Player_3:Say("It`s my pleasure!",2000)
CppScriptMgr:NpcCallOut("It`s my pleasure!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_2=CppScriptMgr:AddEffect("white-flower-small",61,29,33)
Effect_2:Scale(-1,-1,-1)
CppScriptMgr:WaitMilSec(5000)
